- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# mongodb_parameter – Change an administrative parameter on a MongoDB server

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Change an administrative parameter on a MongoDB server.

## Requirements

The below requirements are needed on the host that executes this module.

- pymongo

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
database - / required |  | The name of the database to add/remove the user from
login_database - |  | The database where login credentials are stored
login_host - | Default: "localhost" | The host running the database
login_password - |  | The password used to authenticate with
login_port - | Default: 27017 | The port to connect to
login_user - |  | The username used to authenticate with
param - / required |  | MongoDB administrative parameter to modify
param_type - | Default: "str" | Define the parameter value (str, int)
replica_set - |  | Replica set to connect to (automatically connects to primary for writes)
ssl boolean | Choices: no ← yes | Whether to use an SSL connection when connecting to the database
value - / required |  | MongoDB administrative parameter value to set

## Notes

Note

- Requires the pymongo Python package on the remote host, version 2.4.2+. This can be installed using pip or the OS package manager. @see http://api.mongodb.org/python/current/installation.html

## Examples

    # Set MongoDB syncdelay to 60 (this is an int)
    - mongodb_parameter:
        param: syncdelay
        value: 60
        param_type: int

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after string | success | value after modification
before string | success | value before modification

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Loic Blot (@nerzhul)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.